Skip to main content
GET
/
v1
/
chunked-files
/
{chunkedFileId}
Read Chunked File
curl --request GET \
  --url https://localtest.mindbridge.ai/api/v1/chunked-files/{chunkedFileId} \
  --header 'Authorization: Bearer <token>'
{
  "version": 123,
  "name": "<string>",
  "size": 1,
  "id": {},
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": {},
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": {},
    "userName": "<string>"
  },
  "chunkedFileParts": [
    {
      "offset": 1,
      "size": 1
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chunkedFileId
string
required

Response

OK

version
integer<int64>
required

Indicates the data integrity version to ensure data consistency.

name
string
required

The name of the chunked file.

Minimum string length: 1
Pattern: \s*\S+.*
size
integer<int64>
required

The size of the chunked file.

Required range: x >= 0
id
object

The unique object identifier.

creationDate
string<date-time>

The date that the object was originally created.

lastModifiedDate
string<date-time>

The date that the object was last updated or modified.

createdUserInfo
User Info · object

Details about the user who created the object.

lastModifiedUserInfo
User Info · object

Details about the user who last modified or updated the object.

chunkedFileParts
Chunked File Part · object[]

The offset and size of the chunked file parts.